<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__board__libs" kind="group">
    <compoundname>group_board_libs</compoundname>
    <title>RGB LED</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__board__libs_1ga75990776115641712b8535fc1002d2ba" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>cy_rslt_t</type>
        <definition>cy_rslt_t cy_rgb_led_init</definition>
        <argsstring>(cyhal_gpio_t pin_red, cyhal_gpio_t pin_green, cyhal_gpio_t pin_blue, bool led_active_logic)</argsstring>
        <name>cy_rgb_led_init</name>
        <param>
          <type>cyhal_gpio_t</type>
          <declname>pin_red</declname>
        </param>
        <param>
          <type>cyhal_gpio_t</type>
          <declname>pin_green</declname>
        </param>
        <param>
          <type>cyhal_gpio_t</type>
          <declname>pin_blue</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>led_active_logic</declname>
        </param>
        <briefdescription>
<para>Initializes RGB LED on the board. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>pin_red</parametername>
</parameternamelist>
<parameterdescription>
<para>GPIO for Red component. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>pin_green</parametername>
</parameternamelist>
<parameterdescription>
<para>GPIO for Green component. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>pin_blue</parametername>
</parameternamelist>
<parameterdescription>
<para>GPIO for Blue component. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>led_active_logic</parametername>
</parameternamelist>
<parameterdescription>
<para>Active logic (low or high) for the RGB LED, all three LEDs must be connected in same active logic. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>CY_RSLT_SUCCESS if the initialization was successful, an error code otherwise. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="190" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.c" bodystart="126" column="1" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="111" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1ga9ae4115d5498c0c6d1d0fb087ef8bcc1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cy_rgb_led_deinit</definition>
        <argsstring>(void)</argsstring>
        <name>cy_rgb_led_deinit</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>De-initializes the RGB LED on the board. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="202" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.c" bodystart="193" column="1" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="116" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1gaf355e51e75c75ab794de431115fb964c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cy_rgb_led_on</definition>
        <argsstring>(uint32_t color, uint8_t brightness)</argsstring>
        <name>cy_rgb_led_on</name>
        <param>
          <type>uint32_t</type>
          <declname>color</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>brightness</declname>
        </param>
        <briefdescription>
<para>Turns on RGB LED with specified color and brightness. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>color</parametername>
</parameternamelist>
<parameterdescription>
<para>LED color </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>brightness</parametername>
</parameternamelist>
<parameterdescription>
<para>Brightness of the LED (Valid range: 0 to CY_RGB_LED_MAX_BRIGHTNESS). </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="217" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.c" bodystart="205" column="1" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="123" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1gaedaf9c7d163447146ef1ba6fa93d20e4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cy_rgb_led_off</definition>
        <argsstring>(void)</argsstring>
        <name>cy_rgb_led_off</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Turns off the RGB LED on the board. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="228" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.c" bodystart="220" column="1" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="128" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1ga71871acc4e184d330628954e79a17f9f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cy_rgb_led_toggle</definition>
        <argsstring>(void)</argsstring>
        <name>cy_rgb_led_toggle</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Toggles the RGB LED on the board. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="300" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.c" bodystart="290" column="1" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="133" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1ga4e0fea7dd904cfc4ed49707dbb0aae6d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cy_rgb_led_set_color</definition>
        <argsstring>(uint32_t color)</argsstring>
        <name>cy_rgb_led_set_color</name>
        <param>
          <type>uint32_t</type>
          <declname>color</declname>
        </param>
        <briefdescription>
<para>Sets color of the RGB LED. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>color</parametername>
</parameternamelist>
<parameterdescription>
<para>LED color </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="254" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.c" bodystart="236" column="1" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="139" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1ga23ee0f66bf3672a02f37d9ac5aaba208" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t cy_rgb_led_get_color</definition>
        <argsstring>(void)</argsstring>
        <name>cy_rgb_led_get_color</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Returns the current color of the RGB LED. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>4-byte encoded color. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="274" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.c" bodystart="264" column="1" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="145" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1ga33e211021cd43834d4c813184f168758" inline="yes" kind="function" prot="public" static="yes" virt="non-virtual">
        <type>uint32_t</type>
        <definition>static uint32_t cy_rgb_led_create_color</definition>
        <argsstring>(uint8_t red, uint8_t green, uint8_t blue)</argsstring>
        <name>cy_rgb_led_create_color</name>
        <param>
          <type>uint8_t</type>
          <declname>red</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>green</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>blue</declname>
        </param>
        <briefdescription>
<para>Create a custom color code for the RGB LED. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>red</parametername>
</parameternamelist>
<parameterdescription>
<para>1-byte value for Red component. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>green</parametername>
</parameternamelist>
<parameterdescription>
<para>1-byte value for Green component. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>blue</parametername>
</parameternamelist>
<parameterdescription>
<para>1-byte value for Blue component. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>32-bit encoded color code. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="157" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" bodystart="154" column="1" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="154" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1ga80fcfa71b197fe31922c145582847253" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cy_rgb_led_set_brightness</definition>
        <argsstring>(uint8_t brightness)</argsstring>
        <name>cy_rgb_led_set_brightness</name>
        <param>
          <type>uint8_t</type>
          <declname>brightness</declname>
        </param>
        <briefdescription>
<para>Sets brightness of the RGB LED. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>brightness</parametername>
</parameternamelist>
<parameterdescription>
<para>LED brightness (Valid range: 0 to CY_RGB_LED_MAX_BRIGHTNESS) </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="261" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.c" bodystart="257" column="1" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="163" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__board__libs_1ga33c865672c77c3394eb642fb7c2de3e3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint8_t</type>
        <definition>uint8_t cy_rgb_led_get_brightness</definition>
        <argsstring>(void)</argsstring>
        <name>cy_rgb_led_get_brightness</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Returns the current brightness of the RGB LED. </para>        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>uint8_t LED brightness. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="287" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.c" bodystart="277" column="1" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="169" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="define">
      <memberdef id="group__group__board__libs_1ga96d3d881b08433855a6e81f16c3b5849" kind="define" prot="public" static="no">
        <name>CY_RSLT_RGB_LED_CLK_FAIL</name>
        <initializer>(CY_RSLT_CREATE(CY_RSLT_TYPE_ERROR, CY_RSLT_MODULE_BOARD_LIB_RGB_LED , 0))</initializer>
        <briefdescription>
<para>Error code for RGB LED operation: Peripheral clock assignment failure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" bodystart="41" column="9" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="41" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga02bd9a59dd878ef3740a62328e5be3e7" kind="define" prot="public" static="no">
        <name>CY_RSLT_RGB_LED_PWM_FAIL</name>
        <initializer>(CY_RSLT_CREATE(CY_RSLT_TYPE_ERROR, CY_RSLT_MODULE_BOARD_LIB_RGB_LED , 1))</initializer>
        <briefdescription>
<para>Error code for RGB LED operation: PWM resource allocation failure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" bodystart="44" column="9" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="44" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga7c54f36799d984ad5e8fd303de8cc2fc" kind="define" prot="public" static="no">
        <name>CY_RSLT_RGB_LED_LP_CB_REG_FAIL</name>
        <initializer>(CY_RSLT_CREATE(CY_RSLT_TYPE_ERROR, CY_RSLT_MODULE_BOARD_LIB_RGB_LED , 2))</initializer>
        <briefdescription>
<para>Error code for RGB LED operation: Low power callback function registration failure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" bodystart="47" column="9" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="47" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga2e3b1130d69c22bee9c512ebf682303a" kind="define" prot="public" static="no">
        <name>CY_RSLT_RGB_LED_LP_CB_DEREG_FAIL</name>
        <initializer>(CY_RSLT_CREATE(CY_RSLT_TYPE_ERROR, CY_RSLT_MODULE_BOARD_LIB_RGB_LED , 3))</initializer>
        <briefdescription>
<para>Error code for RGB LED operation: Low power callback function deregistration failure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" bodystart="50" column="9" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="50" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga2255d8a23e3e0d2ece596bae67c18292" kind="define" prot="public" static="no">
        <name>CY_RGB_LED_RED_POS</name>
        <initializer>(16u)</initializer>
        <briefdescription>
<para>Bit position for Red LED. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" bodystart="53" column="9" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="53" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga353b029e3ba2b04f04068b9c6d2cf4e1" kind="define" prot="public" static="no">
        <name>CY_RGB_LED_GREEN_POS</name>
        <initializer>(8u)</initializer>
        <briefdescription>
<para>Bit position for Green LED. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" bodystart="56" column="9" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="56" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga118c03dca785ace3498eb43bfccf6d71" kind="define" prot="public" static="no">
        <name>CY_RGB_LED_BLUE_POS</name>
        <initializer>(0u)</initializer>
        <briefdescription>
<para>Bit position for Blue LED. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" bodystart="59" column="9" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="59" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga0ce09f23f6653114a8871e31fe47f319" kind="define" prot="public" static="no">
        <name>CY_RGB_LED_COLOR_RED</name>
        <initializer>(0xFF &lt;&lt; CY_RGB_LED_RED_POS)</initializer>
        <briefdescription>
<para>32-bit encoding for Red Color <linebreak />
</para>        </briefdescription>
        <detaileddescription>
<para><bold>Note:</bold> LED Color is encoded as 0x00RRGGBB where RR - byte field for Red color GG - byte field for Green color BB - byte field for Blue color</para><para>Each byte represents 256 (0x00 to 0xFF) different brightness level for each LED color (Red, Green, Blue). Colors can be generated varying these byte fields.</para><para>For example: 0x00FFFFFF (RR = 0xFF; GG = 0xFF BB = 0xFF) produces white color. <linebreak />
0x00FFFF00 (RR = 0xFF; GG = 0xFF BB = 0x00) produces yellow color. <linebreak />
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" bodystart="77" column="9" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="77" />
      </memberdef>
      <memberdef id="group__group__board__libs_1gaaea47d08b07c56755b5dbdd68eece794" kind="define" prot="public" static="no">
        <name>CY_RGB_LED_COLOR_GREEN</name>
        <initializer>(0xFF &lt;&lt; CY_RGB_LED_GREEN_POS)</initializer>
        <briefdescription>
<para>32-bit encoding for Green Color. </para>        </briefdescription>
        <detaileddescription>
<para>Refer to <ref kindref="member" refid="group__group__board__libs_1ga0ce09f23f6653114a8871e31fe47f319">CY_RGB_LED_COLOR_RED</ref> for color encoding scheme </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" bodystart="79" column="9" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="79" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga41896043db59135bf1d06c95a3eb5682" kind="define" prot="public" static="no">
        <name>CY_RGB_LED_COLOR_BLUE</name>
        <initializer>(0xFF &lt;&lt; CY_RGB_LED_BLUE_POS)</initializer>
        <briefdescription>
<para>32-bit encoding for Blue Color. </para>        </briefdescription>
        <detaileddescription>
<para>Refer to <ref kindref="member" refid="group__group__board__libs_1ga0ce09f23f6653114a8871e31fe47f319">CY_RGB_LED_COLOR_RED</ref> for color encoding scheme </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" bodystart="81" column="9" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="81" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga5d0e205e0d974c7f2672b05a5c9fbabc" kind="define" prot="public" static="no">
        <name>CY_RGB_LED_COLOR_WHITE</name>
        <initializer>(<ref kindref="member" refid="group__group__board__libs_1ga0ce09f23f6653114a8871e31fe47f319">CY_RGB_LED_COLOR_RED</ref> | <ref kindref="member" refid="group__group__board__libs_1gaaea47d08b07c56755b5dbdd68eece794">CY_RGB_LED_COLOR_GREEN</ref> | <ref kindref="member" refid="group__group__board__libs_1ga41896043db59135bf1d06c95a3eb5682">CY_RGB_LED_COLOR_BLUE</ref>)</initializer>
        <briefdescription>
<para>32-bit encoding for White Color. </para>        </briefdescription>
        <detaileddescription>
<para>Refer to <ref kindref="member" refid="group__group__board__libs_1ga0ce09f23f6653114a8871e31fe47f319">CY_RGB_LED_COLOR_RED</ref> for color encoding scheme </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" bodystart="83" column="9" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="83" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga2a72f579397009fe7b5278cf3b987833" kind="define" prot="public" static="no">
        <name>CY_RGB_LED_COLOR_YELLOW</name>
        <initializer>(<ref kindref="member" refid="group__group__board__libs_1ga0ce09f23f6653114a8871e31fe47f319">CY_RGB_LED_COLOR_RED</ref> | <ref kindref="member" refid="group__group__board__libs_1gaaea47d08b07c56755b5dbdd68eece794">CY_RGB_LED_COLOR_GREEN</ref>)</initializer>
        <briefdescription>
<para>32-bit encoding for Yellow Color. </para>        </briefdescription>
        <detaileddescription>
<para>Refer to <ref kindref="member" refid="group__group__board__libs_1ga0ce09f23f6653114a8871e31fe47f319">CY_RGB_LED_COLOR_RED</ref> for color encoding scheme </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" bodystart="85" column="9" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="85" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga0276d078c1aaa97e0cfb5c79fefbfc11" kind="define" prot="public" static="no">
        <name>CY_RGB_LED_COLOR_MAGENTA</name>
        <initializer>(<ref kindref="member" refid="group__group__board__libs_1ga0ce09f23f6653114a8871e31fe47f319">CY_RGB_LED_COLOR_RED</ref> | <ref kindref="member" refid="group__group__board__libs_1ga41896043db59135bf1d06c95a3eb5682">CY_RGB_LED_COLOR_BLUE</ref>)</initializer>
        <briefdescription>
<para>32-bit encoding for Magenta Color. </para>        </briefdescription>
        <detaileddescription>
<para>Refer to <ref kindref="member" refid="group__group__board__libs_1ga0ce09f23f6653114a8871e31fe47f319">CY_RGB_LED_COLOR_RED</ref> for color encoding scheme </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" bodystart="87" column="9" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="87" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga64e7dfc420f5fbd1df5f23c5efedf382" kind="define" prot="public" static="no">
        <name>CY_RGB_LED_COLOR_PURPLE</name>
        <initializer>(<ref kindref="member" refid="group__group__board__libs_1ga0276d078c1aaa97e0cfb5c79fefbfc11">CY_RGB_LED_COLOR_MAGENTA</ref>)</initializer>
        <briefdescription>
<para>Deprecated. </para>        </briefdescription>
        <detaileddescription>
<para>Use CY_RGB_LED_COLOR_MAGENTA instead </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" bodystart="89" column="9" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="89" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga2f9fac1c2be3b7f60fb5a8764a784ebb" kind="define" prot="public" static="no">
        <name>CY_RGB_LED_COLOR_CYAN</name>
        <initializer>(<ref kindref="member" refid="group__group__board__libs_1gaaea47d08b07c56755b5dbdd68eece794">CY_RGB_LED_COLOR_GREEN</ref> | <ref kindref="member" refid="group__group__board__libs_1ga41896043db59135bf1d06c95a3eb5682">CY_RGB_LED_COLOR_BLUE</ref>)</initializer>
        <briefdescription>
<para>32-bit encoding for Cyan Color. </para>        </briefdescription>
        <detaileddescription>
<para>Refer to <ref kindref="member" refid="group__group__board__libs_1ga0ce09f23f6653114a8871e31fe47f319">CY_RGB_LED_COLOR_RED</ref> for color encoding scheme </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" bodystart="91" column="9" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="91" />
      </memberdef>
      <memberdef id="group__group__board__libs_1gadac8cb0f119f8ee977f2ca99b75b477b" kind="define" prot="public" static="no">
        <name>CY_RGB_LED_COLOR_OFF</name>
        <initializer>(0x00000000)</initializer>
        <briefdescription>
<para>No Color. </para>        </briefdescription>
        <detaileddescription>
<para>Refer to <ref kindref="member" refid="group__group__board__libs_1ga0ce09f23f6653114a8871e31fe47f319">CY_RGB_LED_COLOR_RED</ref> for color encoding scheme </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" bodystart="93" column="9" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="93" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga0a950307707e911bb5aef6712dd4aceb" kind="define" prot="public" static="no">
        <name>CY_RGB_LED_MAX_BRIGHTNESS</name>
        <initializer>(100u)</initializer>
        <briefdescription>
<para>Maximum LED Brightness. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" bodystart="95" column="9" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="95" />
      </memberdef>
      <memberdef id="group__group__board__libs_1ga9140c9479a0ec29c9707bdb6fc0447c7" kind="define" prot="public" static="no">
        <name>CY_RGB_LED_ACTIVE_HIGH</name>
        <initializer>(true)</initializer>
        <briefdescription>
<para>RGB LED active HIGH logic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" bodystart="97" column="9" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="97" />
      </memberdef>
      <memberdef id="group__group__board__libs_1gaaae1e2ea0be32d9768af86c36c38844d" kind="define" prot="public" static="no">
        <name>CY_RGB_LED_ACTIVE_LOW</name>
        <initializer>(false)</initializer>
        <briefdescription>
<para>RGB LED active LOW logic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" bodystart="99" column="9" file="output/libs/COMPONENT_RGB_LED/rgb-led/cy_rgb_led.h" line="99" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>